// SPDX-License-Identifier: EUPL-1.2+
// SPDX-FileCopyrightText: European Central Bank
// Source: https://www.ecb.europa.eu/stats/money/mfi/general/html/dla/mfi_mrr_MID/fi_mrr_csv_250131.csv.gz
// Code generated by code.pfad.fr/swift/internal/cmd/bic-generate DO NOT EDIT.

package bic

import "code.pfad.fr/swift"

var esBLZtoBIC = map[string]swift.BIC{
	"0011": {"ALLF", "ES", "MM", "XXX"},
	"0019": {"DEUT", "ES", "BB", "ASS"},
	"0036": {"SABN", "ES", "MM", "XXX"},
	"0038": {"BSSS", "ES", "M2", "XXX"},
	"0049": {"BSCH", "ES", "MM", "XXX"},
	"0061": {"BMAR", "ES", "2M", "XXX"},
	"0073": {"OPEN", "ES", "MM", "XXX"},
	"0078": {"BAPU", "ES", "22", "XXX"},
	"0081": {"BSAB", "ES", "BB", "XXX"},
	"0083": {"RENB", "ES", "MM", "XXX"},
	"0108": {"SOGE", "ES", "MM", "XXX"},
	"0128": {"BKBK", "ES", "MM", "XXX"},
	"0136": {"AREB", "ES", "MM", "XXX"},
	"0149": {"BNPA", "ES", "MH", "XXX"},
	"0151": {"CHAS", "ES", "M3", "XXX"},
	"0152": {"BPLC", "ES", "MM", "XXX"},
	"0154": {"BSUI", "ES", "MM", "XXX"},
	"0159": {"COBA", "ES", "MX", "MCA"},
	"0162": {"MIDL", "ES", "MX", "XXX"},
	"0169": {"NACN", "ES", "MM", "XXX"},
	"0182": {"BBVA", "ES", "MM", "XXX"},
	"0186": {"BFIV", "ES", "BB", "XXX"},
	"0188": {"ALCL", "ES", "MM", "XXX"},
	"0198": {"BCOE", "ES", "MM", "XXX"},
	"0200": {"DEGR", "ES", "BB", "XXX"},
	"0211": {"PROA", "ES", "MM", "XXX"},
	"0218": {"FCEF", "ES", "M1", "XXX"},
	"0219": {"BMCE", "ES", "MM", "XXX"},
	"0220": {"FIOF", "ES", "M1", "XXX"},
	"0224": {"SCFB", "ES", "MM", "XXX"},
	"0229": {"POPL", "ES", "MM", "XXX"},
	"0232": {"INVL", "ES", "MM", "XXX"},
	"0234": {"CCOC", "ES", "MM", "XXX"},
	"0237": {"CSUR", "ES", "2C", "XXX"},
	"0239": {"EVOB", "ES", "MM", "XXX"},
	"0240": {"BCCA", "ES", "MM", "XXX"},
	"0241": {"AYGB", "ES", "MM", "XXX"},
	"1000": {"ICRO", "ES", "MM", "XXX"},
	"1457": {"LLIS", "ES", "M1", "XXX"},
	"1460": {"CRES", "ES", "MM", "XXX"},
	"1465": {"INGD", "ES", "MM", "XXX"},
	"1474": {"CITI", "ES", "MX", "SEC"},
	"1479": {"NATX", "ES", "MM", "XXX"},
	"1480": {"VOWA", "ES", "22", "XXX"},
	"1485": {"BOFA", "ES", "2X", "XXX"},
	"1488": {"PICT", "ES", "MM", "XXX"},
	"1490": {"SELF", "ES", "MM", "XXX"},
	"1491": {"TRIO", "ES", "MM", "XXX"},
	"1494": {"BCIT", "ES", "MM", "XXX"},
	"1497": {"ESSI", "ES", "MM", "XXX"},
	"1508": {"RCIN", "ES", "M1", "XXX"},
	"1525": {"BCDM", "ES", "MM", "XXX"},
	"1538": {"ICBK", "ES", "MM", "XXX"},
	"1541": {"BCMA", "ES", "MM", "TGT"},
	"1544": {"BACA", "ES", "MM", "XXX"},
	"1545": {"AGRI", "ES", "MM", "XXX"},
	"1547": {"LOCY", "ES", "MM", "NDP"},
	"1553": {"PCBC", "ES", "BB", "XXX"},
	"1563": {"NTSB", "ES", "M1", "XXX"},
	"1569": {"IGSE", "ES", "MM", "XXX"},
	"1575": {"WUIB", "ES", "M2", "XXX"},
	"1578": {"SOBK", "ES", "M2", "XXX"},
	"1583": {"REVO", "ES", "M2", "XXX"},
	"2000": {"CECA", "ES", "MM", "XXX"},
	"2045": {"CECA", "ES", "MM", "045"},
	"2056": {"CECA", "ES", "MM", "056"},
	"2080": {"CAGL", "ES", "MM", "VIG"},
	"2085": {"CAZR", "ES", "2Z", "XXX"},
	"2095": {"BASK", "ES", "2B", "XXX"},
	"2100": {"CAIX", "ES", "BB", "XXX"},
	"2103": {"UCJA", "ES", "2M", "XXX"},
	"3001": {"CJAL", "ES", "SS", "XXX"},
	"3005": {"BCOE", "ES", "MM", "005"},
	"3008": {"BCOE", "ES", "MM", "008"},
	"3009": {"BCOE", "ES", "MM", "009"},
	"3017": {"BCOE", "ES", "MM", "017"},
	"3023": {"BCOE", "ES", "MM", "023"},
	"3025": {"CDEN", "ES", "BB", "XXX"},
	"3035": {"CLPE", "ES", "2M", "XXX"},
	"3058": {"CCRI", "ES", "2A", "XXX"},
	"3059": {"BCOE", "ES", "MM", "059"},
	"3060": {"BCOE", "ES", "MM", "060"},
	"3067": {"BCOE", "ES", "MM", "067"},
	"3076": {"BCOE", "ES", "MM", "076"},
	"3080": {"BCOE", "ES", "MM", "080"},
	"3081": {"ERSV", "ES", "22", "XXX"},
	"3085": {"BCOE", "ES", "MM", "085"},
	"3140": {"CGUI", "ES", "BA", "XXX"},
	"3159": {"BCOE", "ES", "MM", "159"},
	"3183": {"CASD", "ES", "BB", "XXX"},
	"3187": {"BCOE", "ES", "MM", "187"},
	"3190": {"BCOE", "ES", "MM", "190"},
	"3191": {"BCOE", "ES", "MM", "191"},
}
